Bug 7929 - Duplicate id "availability" on XSLT result page
Summary: Duplicate id "availability" on XSLT result page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 16:24 UTC by Katrin Fischer
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7928 - Duplicate id "availability" on XSLT result page (1.24 KB, patch)
2012-04-11 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7929 - Duplicate id "availability" on XSLT result page (1.28 KB, patch)
2012-04-18 14:37 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7929 - Duplicate id "availability" on XSLT result page (1.33 KB, patch)
2012-04-18 14:39 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 7929 - Duplicate id "availability" on XSLT result page (1.39 KB, patch)
2012-04-30 03:21 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-04-09 16:24:04 UTC
On the result list the id "availability" gets replicated for each entry. 
ids have to be unique, should be a class instead.
Comment 1 Katrin Fischer 2012-04-11 06:08:36 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-04-18 14:36:25 UTC
Katrin, 

I applied the patch, but I did not find class="availability" in the source code of the displayed results, but class="results_summary availability"

Anyway, this seems to be consistent with the diff (and makes sense to me):

-  <span class="results_summary" id="availability">
+  <span class="results_summary availability"> 

...and I think I can sign off this one.

Marc
Comment 3 Marc Véron 2012-04-18 14:37:04 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2012-04-18 14:39:53 UTC Comment hidden (obsolete)
Comment 5 Mason James 2012-04-30 03:21:23 UTC
Created attachment 9362 [details] [review]
Bug 7929 - Duplicate id "availability" on XSLT result page

Changes id="availability" to class="availability" for XHTML valididy
(ids have to be unique on a page).

Signed-off-by: mveron <veron@veron.ch>
Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 6 Mason James 2012-04-30 03:22:42 UTC
trivial patch - passing QA
Comment 7 Paul Poulain 2012-05-07 20:58:14 UTC
Patch pushed.

Note that the availability property exist in opac.css
p.availability {
	font-size : 87%;
}
this patch is really just a matter of HTML validity
Comment 8 Jared Camins-Esakov 2012-06-14 11:49:58 UTC
This patch will be in 3.6.6.